function overlay_load()
	overlay_mode="start"
	overlay_alpha=0.5
end

function overlay_update()
	--fade overlay in and out
	if overlay_mode=="off" then overlay_alpha=overlay_alpha-2*love.timer.getDelta()
	else overlay_alpha=overlay_alpha+0.5*love.timer.getDelta() end
	
	if overlay_alpha<0 then overlay_alpha=0 end
	if overlay_alpha>0.5 then overlay_alpha=0.5 end
end

function overlay_draw()
	love.graphics.setColor(0,0,0,255*overlay_alpha)
	love.graphics.rectangle("fill",0,0,love.graphics.getWidth(),love.graphics.getHeight())
	love.graphics.setColor(255,255,255,255*overlay_alpha*2)
	
	if overlay_mode=="clear" then
		love.graphics.setFont(font_verasans30)
		love.graphics.printf("Level clear!",50,love.graphics.getHeight()/3,love.graphics.getWidth()-100,"center")
		love.graphics.setFont(font_verasans15)
		love.graphics.printf("Press escape to go back to the menu",50,love.graphics.getHeight()/1.5,love.graphics.getWidth()-100,"center")
	end
	
	if overlay_mode=="retry" then
		love.graphics.setFont(font_verasans15)
		love.graphics.printf("Click the left mouse button to try again\nPress escape to go back to the menu",50,love.graphics.getHeight()/1.5,love.graphics.getWidth()-100,"center")
	end
	
	if overlay_mode=="start" then
		love.graphics.setFont(font_verasans15)
		love.graphics.printf("Click the left mouse button to start\nPress escape to go back to the menu",50,love.graphics.getHeight()/1.5,love.graphics.getWidth()-100,"center")
	end
end