function pausemenu_load()
	gameplay_paused=0
	pausemenu_alpha=0
end

function pausemenu_update()
	if gameplay_paused==1 then
		pausemenu_alpha=pausemenu_alpha+8*love.timer.getDelta()
	
		--button highlighting
		if love.mouse.getX()<(love.graphics.getWidth()/2)-100 or love.mouse.getX()>(love.graphics.getWidth()/2)+100 then
			pausemenu_selected=0
		else
			if love.mouse.getY()>450 and love.mouse.getY()<500 then pausemenu_selected=3
			elseif love.mouse.getY()>375 and love.mouse.getY()<425 then pausemenu_selected=2
			elseif love.mouse.getY()>300 and love.mouse.getY()<350 then pausemenu_selected=1
			else pausemenu_selected=0 end
		end
	else
		pausemenu_alpha=pausemenu_alpha-8*love.timer.getDelta()
	end

	if pausemenu_alpha>.85 then pausemenu_alpha=.85 end
	if pausemenu_alpha<0 then pausemenu_alpha=0 end
end

function pausemenu_draw()
	love.graphics.setColor(0,0,0,255*pausemenu_alpha)
	love.graphics.rectangle("fill",0,0,love.graphics.getWidth(),love.graphics.getHeight())
	love.graphics.setFont(font_verasans20)
	love.graphics.setColor(255,255,255,255*pausemenu_alpha)
	love.graphics.printf("Paused",50,150,love.graphics.getWidth()-100,"center")

	love.graphics.setLineWidth(4)

	if pausemenu_selected==1 then --draw button backgrounds
		love.graphics.setColor(128,128,128,150*pausemenu_alpha)
	else
		love.graphics.setColor(128,128,128,100*pausemenu_alpha)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,300,200,50)

	if pausemenu_selected==2 then
		love.graphics.setColor(128,128,128,150*pausemenu_alpha)
	else
		love.graphics.setColor(128,128,128,100*pausemenu_alpha)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,375,200,50)

	if pausemenu_selected==3 then
		love.graphics.setColor(128,128,128,150*pausemenu_alpha)
	else
		love.graphics.setColor(128,128,128,100*pausemenu_alpha)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,450,200,50)

	if pausemenu_selected==1 then --draw buttons
		love.graphics.setColor(255,255,255,255*pausemenu_alpha)
	else
		love.graphics.setColor(200,200,200,255*pausemenu_alpha)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,300,200,50)
	love.graphics.printf("Continue",love.graphics.getWidth()/2-80,325,160,"center")

	if pausemenu_selected==2 then
		love.graphics.setColor(255,255,255,255*pausemenu_alpha)
	else
		love.graphics.setColor(200,200,200,255*pausemenu_alpha)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,375,200,50)
	love.graphics.printf("Restart level",love.graphics.getWidth()/2-80,400,160,"center")

	if pausemenu_selected==3 then
		love.graphics.setColor(255,255,255,255*pausemenu_alpha)
	else
		love.graphics.setColor(200,200,200,255*pausemenu_alpha)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,450,200,50)
	love.graphics.printf("Quit to menu",love.graphics.getWidth()/2-80,475,160,"center")
end