function titlescreen_load()
	titlescreen_alpha=0
end

function titlescreen_update()
	--fade in/out
	if screen=="titlescreen" then
		titlescreen_alpha=titlescreen_alpha+128*love.timer.getDelta()
	else
		titlescreen_alpha=titlescreen_alpha-1000*love.timer.getDelta()
	end
	if titlescreen_alpha>255 then titlescreen_alpha=255 end
	if titlescreen_alpha<0 then titlescreen_alpha=0 end
	
	--button highlighting
	if love.mouse.getX()<(love.graphics.getWidth()/2)-100 or love.mouse.getX()>(love.graphics.getWidth()/2)+100 then
		titlescreen_selected=0
	else
		if love.mouse.getY()>450 and love.mouse.getY()<500 then titlescreen_selected=3
		elseif love.mouse.getY()>375 and love.mouse.getY()<425 then titlescreen_selected=2
		elseif love.mouse.getY()>300 and love.mouse.getY()<350 then titlescreen_selected=1
		else titlescreen_selected=0 end
	end
end

function titlescreen_draw()
	--title
	love.graphics.setColor(255,255,255,titlescreen_alpha)
	love.graphics.draw(image_title,love.graphics.getWidth()/2,150,0,1,1,256,128)
	
	--buttons
	love.graphics.setFont(font_verasans20)
	love.graphics.setColor(255,255,255,titlescreen_alpha)

	love.graphics.setLineWidth(4)

	if titlescreen_selected==1 then --draw button backgrounds
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,300,200,50)

	if titlescreen_selected==2 then
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,375,200,50)

	if titlescreen_selected==3 then
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(128,128,128,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("fill",love.graphics.getWidth()/2-100,450,200,50)

	if titlescreen_selected==1 then --draw buttons
		love.graphics.setColor(255,255,255,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(200,200,200,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,300,200,50)
	love.graphics.printf("Level select",love.graphics.getWidth()/2-80,325,160,"center")

	if titlescreen_selected==2 then
		love.graphics.setColor(255,255,255,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(200,200,200,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,375,200,50)
	love.graphics.printf("Options",love.graphics.getWidth()/2-80,400,160,"center")

	if titlescreen_selected==3 then
		love.graphics.setColor(255,255,255,titlescreen_alpha/1.1)
	else
		love.graphics.setColor(200,200,200,titlescreen_alpha/1.5)
	end
	love.graphics.rectangle("line",love.graphics.getWidth()/2-100,450,200,50)
	love.graphics.printf("Quit",love.graphics.getWidth()/2-80,475,160,"center")
end